
DROP VIEW VIEWFTDEMOSTRAFAT;

CREATE VIEW VIEWFTDEMOSTRAFAT (EMPRESA, UF, MERCADO, ROTA, ZONAATUACAO, TIPOCLI, CLIENTE, TIPOREP, REPRESENTANTE, ANOMES, NUMNOTA, VALORV, IPI, ICMS, ISS, PIS, COFINS, DIFAL, SUBTRIB, SUBTRIP, SUBTRIC, COMISSAO, DAS ) AS
SELECT VNDANFCD.ANFCD_EMPRESA,
       SUPAEMPR.AEMPR_ESTADO,
       VNDAEMDF.AEMDF_MERCADO,
       VNDAEMDF.AEMDF_ROTA_ENTREGA,
       SUPADREP.ADREP_ZONA_ATUA,
       VNDANFCD.ANFCD_TIPO_EMPR,
       VNDANFCD.ANFCD_CLIENTE,
       VNDANFCD.ANFCD_TIPO_REPRE,
       VNDANFCD.ANFCD_REPRE,
       SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
       VNDANFCD.ANFCD_NUM_NOTA,
       VNDANFCD.ANFCD_TOT_DUPL,
       SUM(VNDANFLN.ANFLN_VALOR_IPI),
       SUM(VNDANFLN.ANFLN_VALOR_ICMS),
       SUM(VNDANFLN.ANFLN_VALOR_ISS),
       SUM(VNDANFLN.ANFLN_VALOR_PIS),
       SUM(VNDANFLN.ANFLN_VALOR_COFINS),
       SUM(VNDANFLN.ANFLN_VALOR_DIF),
       SUM(VNDANFLN.ANFLN_VALOR_SUBST),
       SUM(VNDANFLN.ANFLN_VALOR_PISST),
       SUM(VNDANFLN.ANFLN_VALOR_COFST),
       ROUND(SUM((VNDANFLN.ANFLN_VALOR_LINHA)*(VNDANFLN.ANFLN_COMISSAO/100)),2),  
       ROUND(VNDANFCD.ANFCD_TOT_DUPL*(GRLAPVND.PERC_CPMF_NFF/100),2) 
FROM VNDANFLN, VNDANFCD, SUPAEMPR, VNDAEMDF, SUPADREP, GRLAPVND  WHERE 
     VNDANFCD.ANFCD_EMPRESA   = VNDANFLN.ANFLN_EMPRESA   AND
     VNDANFCD.ANFCD_UNIDADE   = VNDANFLN.ANFLN_UNIDADE   AND
     VNDANFCD.ANFCD_TIPO_NOTA = VNDANFLN.ANFLN_TIPO_NOTA AND
     VNDANFCD.ANFCD_NUM_NOTA  = VNDANFLN.ANFLN_NUM_NOTA  AND
     VNDANFCD.ANFCD_FLAG_NOTA = 'K' AND 
     VNDANFCD.ANFCD_TIPO_NOTA = 'S' AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPAEMPR.AEMPR_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPAEMPR.AEMPR_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = VNDAEMDF.AEMDF_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = VNDAEMDF.AEMDF_CODIGO AND
     VNDANFCD.ANFCD_TIPO_EMPR = SUPADREP.ADREP_TIPO AND
     VNDANFCD.ANFCD_CLIENTE   = SUPADREP.ADREP_CODIGO AND 
     VNDANFCD.ANFCD_EMPRESA   = GRLAPVND.EMPRESA AND
     VNDANFCD.ANFCD_UNIDADE   = GRLAPVND.UNIDADE   
GROUP BY VNDANFCD.ANFCD_EMPRESA,
         SUPAEMPR.AEMPR_ESTADO,
         VNDAEMDF.AEMDF_MERCADO,
         VNDAEMDF.AEMDF_ROTA_ENTREGA,
         SUPADREP.ADREP_ZONA_ATUA,
         VNDANFCD.ANFCD_TIPO_EMPR,
         VNDANFCD.ANFCD_CLIENTE,
         VNDANFCD.ANFCD_TIPO_REPRE,
         VNDANFCD.ANFCD_REPRE,
         SUBSTRING(VNDANFCD.ANFCD_DATA_EMISSAO, 1, 6),
         VNDANFCD.ANFCD_NUM_NOTA,
         VNDANFCD.ANFCD_TOT_DUPL,
         GRLAPVND.PERC_CPMF_NFF;

EXEC sys.sp_addextendedproperty @name=N'COMMENT', @value=N'DEMOSTRATIVO DE FATURAMENTO SOBRE VENDAS POR UF/MERCADO/ROTA/ZONA DE ATUAO/REPRESENTANTE DO CLIENTE' ,@level0type=N'SCHEMA', @level0name=N'dbo', @level1type=N'VIEW', @level1name=N'VIEWFTDEMOSTRAFAT';